/*
   Watch5 ARM9: fragments.h
   Maarten Pennings - 2007 dec 25
   Contains an enum with the tags of all sound files (index into aFragments).
   Contains InitSounds (which sets up aFragments).
*/

#define FRAGMENT(id,rate,vol,pan,fmt) FRAGMENT_##id,
enum {
#include "fragments.i" // see fragments.c for explanation of mechanism
  FRAGMENT_last
} eFragments;
#undef FRAGMENT

extern TransferSoundData aFragments[FRAGMENT_last];

extern void InitFragments( void );
